| AOMedia AV1 Codec

Data Fields
CB_COEFF_BUFFER Struct Reference

Stores the transforms coefficients for the whole superblock. More...

`#include <block.h>`

## Data Fields
tran_low_t * | tcoeff [3]
| The transformed coefficients.
uint16_t * | eobs [3]
| Where the transformed coefficients end.
uint8_t * | entropy_ctx [3]
| Transform block entropy contexts.

## Detailed Description

Stores the transforms coefficients for the whole superblock.

## Field Documentation

## ◆ entropy_ctx

uint8_t* CB_COEFF_BUFFER::entropy_ctx[3]

Transform block entropy contexts.

Each element is used as a bit field.

- Bits 0~3: txb_skip_ctx
- Bits 4~5: dc_sign_ctx.

The documentation for this struct was generated from the following file:

- av1/encoder/block.h